#! /bin/sh

umask 022

clear

echo " TechSat Team"

echo " Contacting server. Please wait..."
echo ""

wget http://satlab.techsat.info/Maker/CCcam/SoftCam.Key -O /tmp/SoftCam.Key 2>/dev/null
wget http://satlab.techsat.info/Maker/CCcam/constant.cw -O /tmp/constant.cw 2>/dev/null

if [ -s /tmp/SoftCam.Key -a -s /tmp/constant.cw ]; then
   echo " Softam files downloaded succesfully! Installing..."
   echo ""
   mv -f /tmp/SoftCam.Key /var/keys/SoftCam.Key
   mv -f /tmp/constant.cw /var/keys/constant.cw
else
   echo " Download failed! Try again."
   exit 1
fi

echo " Softcam files installed succesfully! Enjoy!"
echo "_____________________________"
echo ""
echo "For Info Channel Key. Please Wait...."
echo ""
sleep 2
wget http://satlab.techsat.info/Maker/CCcam/TechSat.log -O /tmp/Changelog_info.txt 2>/dev/null

echo ""
cd /tmp
sed -e 's/ //g' Changelog_info.txt > output.txt
grep -v '^$' output.txt > outputnew.txt
cat /tmp/outputnew.txt
rm /tmp/Changelog_info.txt /tmp/output.txt /tmp/outputnew.txt
echo "_____________________________"
echo ""
echo " Powered by TechSat Team - http://techsat.info/"
echo ""

exit 0